<template>
	<div
		class="tile"
		:class="[book.selected ? 'selected' : book.picked ? 'picked' : '']"
	>
		<img
			:src="book.imageUrl"
			:alt="book.title"
			@click="clickedTile(book)"
		/>
	</div>
</template>

<script>
export default {
	name: "Tile",
	props: ["book"],
	methods: {
		clickedTile(book) {
			this.$emit('clickedTile', book)
		}
	}
};
</script>

<style scope>
.tile {
	width: 100px;
	height: 100px;
	margin: 5px;
}
img {
	width: 100%;
	height: 100%;
	margin: auto;
}
.selected {
	background-color: darkorange;
}
.picked {
	background-color: darkred;
}
.picked > img,
.selected > img {
	width: 50%;
	height: 50%;
}
</style>
